<script setup lang="ts">
  import { createApp } from 'vue'
  import { createPinia } from 'pinia'
  import App from './app.vue'
  import {useLabelEditorStore} from "~/store/labelEditorStore";

  const pinia = createPinia()
  const app = createApp(App)

  app.use(pinia)
  app.mount('#app')

  let store = useLabelEditorStore();
  await store.loadSettings();
</script>

<template>
  <v-app>
    <NuxtLayout>
      <NuxtPage />
    </NuxtLayout>
  </v-app>
</template>

<style scoped>

</style>